---
- name: add line in /etc/hosts
  lineinfile:
    path: /etc/hosts
    line: "{{ item }}"
    state: present
  with_items:
    - "192.168.11.126 bacula-srv"
    - "192.168.11.127 back-host"

- name: BACULA | add bacula repo 9.* version
  yum:
    name: http://repo.backup-solutions.ru/pub/bacula-bs-7-1.el7.backupsolutions.noarch.rpm
    state: present

- block: # BACULA | Director block
  - name: BACULA | Install Director packages
    yum:
      name: "{{ bacula_dir_pkg }}"
      state: latest
    tags:
      - bacula
      - bacula_server
      - packages

  - name: BACULA | Copy bacula-dir & bconsole template
    template:
      src: "{{ item.src }}"
      dest: "{{ item.dest }}"
      owner: root
      group: bacula
      mode: 0640
    notify:
      - director_restart
    with_items:
      - { src: 'bacula-dir.conf.j2',dest: "/etc/bacula/bacula-dir.conf"}
      - { src: 'bconsole.conf.j2',dest: "/etc/bacula/bconsole.conf"}

  when: "'bacula-server-dir' in {{ group_names }}"

- block: # BACULA | Storage block
  - name: BACULA | Install Storage packages
    yum:
      name: "{{ bacula_sd_pkg }}"
      state: latest
    tags:
      - bacula
      - bacula_server
      - packages

  - name: BACULA | Copy bacula-sd.conf.j2 template
    template:
      src: "{{ item.src }}"
      dest: "{{ item.dest }}"
      owner: root
      group: bacula
      mode: 0640
    notify:
      - storage_restart
    with_items:
      - { src: 'bacula-sd.conf.j2',dest: "/etc/bacula/bacula-sd.conf"}

  - name: BACULA | Create work directory
    file:
      path: "{{ bacula_drive }}"
      owner: bacula
      group: bacula
      state: directory
      seuser: system_u
      serole: object_r
      setype: bacula_store_t
      mode: 'u=rwx,g=,o='

  when: "'bacula-server-sd' in {{ group_names }}"


- block: # BACULA | Client block
  - name: BACULA | Install Client packages
    yum:
      name: "{{ bacula_cli_pkg }}"
      state: latest
    tags:
      - bacula
      - bacula_server
      - packages

  - name: BACULA | Copy bacula-cli.conf.j2 template
    template:
      src: "{{ item.src }}"
      dest: "{{ item.dest }}"
      owner: root
      group: bacula
      mode: 0640
    notify:
      - client_restart
    with_items:
      - { src: 'bacula-fd.conf.j2',dest: "/etc/bacula/bacula-fd.conf"}

  - name: BACULA | Copy encryption files
    copy:
      src: "{{ item.src }}"
      dest: "{{ item.dest }}"
    with_items:
      - { src: 'fd-client.pem',dest: "/etc/bacula/fd-client.pem"}
      - { src: 'master.cert',dest: "/etc/bacula/master.cert"}

  when: "'bacula-clients' in {{ group_names }}"
...